import { dirname, join } from 'path';
import findFileInCurrentPath from '../fs/findFileInCurrentPath.js';
export default async function getNoPlatformInfo() {
    const existingProject = findFileInCurrentPath('project.emulsify.json');
    if (!existingProject) {
        return undefined;
    }
    const root = dirname(existingProject);
    return {
        root,
        name: 'none',
        emulsifyParentDirectory: join(root, 'web', 'themes', 'custom'),
        platformMajorVersion: 1,
    };
}
